Recent

Author Topic: [SOLVED] PascalScada  (Read 2735 times)

Gandalf

  • New member
  • *
  • Posts: 7
[SOLVED] PascalScada
« on: December 20, 2017, 10:51:34 pm »
Hello
I tried to install the latest version of Pascal scada on Lazarus 1.8.0 .
I tried to install the package on both linux and windows but I receive this error and I can not solve:
bgratext.pas(361,30) Error: Identifier not found “lpNoGUI”
How can I solve?
Thank you
« Last Edit: January 15, 2018, 05:54:15 pm by Gandalf »

Phil

  • Hero Member
  • *****
  • Posts: 2750
Re: PascalScada
« Reply #1 on: December 20, 2017, 10:58:08 pm »
Hello
I tried to install the latest version of Pascal scada on Lazarus 1.8.0 .
I tried to install the package on both linux and windows but I receive this error and I can not solve:
bgratext.pas(361,30) Error: Identifier not found “lpNoGUI”
How can I solve?
Thank you

I believe the "lp" constants were moved to a different unit. You'll need to patch the scada source.

Gandalf

  • New member
  • *
  • Posts: 7
Re: PascalScada
« Reply #2 on: December 26, 2017, 08:40:44 pm »
Hello.
I have the same problem if I try to install the BGRAControls that come with Lazarus

Gandalf

  • New member
  • *
  • Posts: 7
Re: PascalScada
« Reply #3 on: January 15, 2018, 05:53:41 pm »
Resolved.
I installed PascalScada using online package manager.
First I had to install the dependencies and then PascalScada

supermario

  • Newbie
  • Posts: 1
Re: [SOLVED] PascalScada
« Reply #4 on: March 07, 2018, 11:08:03 pm »
@Gandalf,
How did you resolve? What does it mean to install the dependencies? How can I resolve?
Maybe you can describe?
Thanks

DiZeLProger

  • Newbie
  • Posts: 1
  • HelloWorld
Re: [SOLVED] PascalScada
« Reply #5 on: June 09, 2018, 08:56:48 pm »
lpNoGUI is now in the LCLPlatformDef module, just plug it into USES and everything should work